# Copyright 2008, Matt666
# Manage checking of the personal icons 
# V1
module Icon_Observer
	# Observer
	class ToolsObsTest < Sketchup::ToolsObserver
		def onActiveToolChanged (tools_object, toolname, toolid)
			Icon_Observer.set_toolID(toolid) # Global variable that record ID of the new tool activated
		end
	end
	
	#Set ID variable
	def self.set_toolID(toolid)
		@toolID = toolid
	end
	
	#Get ID variable
	def self.get_toolID()
		@toolID
	end
	
	#Code that been used for all your icons
	def self.go(action) # Action = Name of the action to send to Sketchup
		model = Sketchup.active_model
		essai = model.tools.add_observer(Icon_Observer::ToolsObsTest.new) # Activate the Tool observer
		puts essai
		Sketchup.send_action(action) # Send the action you need
	end
	
	# Code for the validation of the icon. 
	def self.obs(id) # ID = Id of your Icon action
		currentID = self.get_toolID()
		if currentID && id == currentID #if ID of the tool activated = ID of your icon
			return MF_CHECKED
		else
			return MF_UNCHECKED
		end
	end
end
